package com.sztzjy.financial_bigdata.controller.tea;

import com.sztzjy.financial_bigdata.entity.TeaResourceCenter;
import com.sztzjy.financial_bigdata.service.tea.ITeaResourceCenterService;
import com.sztzjy.financial_bigdata.util.ResultEntity;
import com.sztzjy.financial_bigdata.util.file.IFileUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

//资源中心
@RestController
@Api(tags = "教师端--资源中心-资源列表")
@RequestMapping("api/tch/resourceCenter")
public class TeaResourceCenterController {
    @Autowired
    IFileUtil fileUtil;
    @Autowired
    ITeaResourceCenterService resourceCenterService;


    //上传资源文件
    @GetMapping("uploadResource")
    @ApiOperation("上传资源文件")
    public ResultEntity uploadResource(@RequestParam MultipartFile file,
                                             @ApiParam("学校id") @RequestParam(required = false) String schoolId,
                                             @ApiParam("章节Id") String chapterId){
        Boolean flag=resourceCenterService.uploadResource(file,schoolId,chapterId);
        if (flag){
            return new ResultEntity<>(HttpStatus.OK,"新增成功");
        }else {
            return new ResultEntity<>(HttpStatus.BAD_REQUEST,"新增失败");
        }
    }

    //查看资源文件
    @GetMapping("selectResource")
    @ApiOperation("查看资源文件")
    public ResultEntity uploadResourceCenter(@ApiParam("学校id") @RequestParam(required = false) String schoolId,
                                             @ApiParam("章节Id") String chapterId){
        List<TeaResourceCenter> list=resourceCenterService.selectResource(schoolId,chapterId);
        return new ResultEntity(HttpStatus.OK, "相对估值法-PS市盈率法，展示成功", list);
    }

}
